VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
EventList Class Reference
Common SDK Implementation Helper Classes

Example implementation of IEventList. More...

`#include <eventlist.h>`

Inheritance diagram for EventList:

## Public Member Functions
| EventList (int32 maxSize=50)
virtual | ~EventList ()
int32 | getEventCount () SMTG_OVERRIDE
tresult | getEvent (int32 index, Event &e) SMTG_OVERRIDE
tresult | addEvent (Event &e) SMTG_OVERRIDE
void | setMaxSize (int32 maxSize)
void | clear ()
Event * | getEventByIndex (int32 index) const

## Protected Attributes
Event * | events {nullptr}
int32 | maxSize {0}
int32 | fillCount {0}

## Additional Inherited Members
Static Public Attributes inherited from IEventList
static const FUID | iid

## Detailed Description

Example implementation of IEventList.

## Constructor & Destructor Documentation

EventList | ( | int32 | maxSize = `50` | ) |

~EventList | ( |  | ) |
| virtual

## Member Function Documentation

int32 getEventCount | ( |  | ) |
| inline virtual

Implements IEventList.

tresult getEvent | ( | int32 | index,
|  | Event & | e
| ) |  |
| virtual

Implements IEventList.

tresult addEvent | ( | Event & | e | ) |
| virtual

Implements IEventList.

void setMaxSize | ( | int32 | maxSize | ) |

void clear | ( |  | ) |
| inline

Event * getEventByIndex | ( | int32 | index | ) | const

## Member Data Documentation

Event* events {nullptr}
| protected

int32 maxSize {0}
| protected

int32 fillCount {0}
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.